---
weight: 200
title: Using Mod Managers
---

# Using Third-Party Mod Managers with Steam Games

This is a guide on how to install and integrate mod managers (like Vortex, MO2, etc.) for games running in Proton.

**Note:** Most of this stuff will break if you use Flatpak for any of the involved programs.

![skyrim_vr_vortex](/images/steam_launch_vortex.png "Example usage: Vortex Mod Manager integrated into Skyrim VR on Steam")

## Instructions

1. Setup `Protontricks` & `Steam Metadata Editor`
2. Install your Steam game and **launch it** once
3. Download your mod manager installer (Vortex, MO2, etc.)
4. Run the installer with `Protontricks Launcher`, select your game when prompted
5. Finish the installer and note the installation path
6. Symlink mod manager's installation path inside prefix into the game's install path. For example:
```
ln -s "/home/faith/.local/share/Steam/steamapps/compatdata/611670/pfx/drive_c/Program Files/Black Tree Gaming Ltd/Vo
rtex/" "/home/faith/.local/share/Steam/steamapps/common/SkyrimVR/Vortex"
```
7. **Close Steam!** Then open Steam Metadata Editor
8. Find your game in the list, then click `Edit launch menu`
9. Click `Add New Entry`
10. In Description, enter the display name (e.g., `Vortex Mod Manager`)
11. Click on the `...` button in the Executable field
12. File picker will appear, which should be inside the game's install directory. If it's not, try again, restart your computer, or perform some ritual because it sometimes doesn't work properly.
13. Choose the mod manager executable (e.g., `Vortex/Vortex.exe`)
14. Make sure a relative path appears in the Executable field, as above! It won't work otherwise. If you see a full path `/home/faith/.local/share/steam/.../`, try deleting the entry and restarting the metadata editor.
15. The working directory should fill in automatically
16. Close the modal window
17. Click `Save` button
18. Enjoy

You have to install mod manager for each game separately.